Subject: [bug#34758] [PATCH 2/4] gnu: Add vhba.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 25 Mar 2019 22:10:03 +0100

Hi,

Pierre Neidhardt <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>>> This raises a general, important question: how do we build kernel
>>> modules on guix?  At the moment, it seems that it's only possible by
>>> re-building the kernel.
>>
>> … or maybe just unpacking the kernel source so you have the makefile
>> snippet around?  Perhaps that’s enough?
>
> Nope, because we need the "build" folder which is only available after
> building the kernel.  Re-building the kernel just to build a module
> sounds like a waste of time :p

I wasn’t suggesting a kernel rebuild.  I thought that perhaps it’s
enough to use the makefiles and build machinery directly from the kernel
source tree, without rebuilding the kernel itself.  Dunno if that’s possible.

>> I’m generally dubious about out-of-tree modules.  Given the way kernel
>> development works, we’re often talking about modules of poor quality, or
>> proprietary modules.  Do you know the reason this one is not in the main
>> tree?
>
> I don't.  I'll investigate a bit.
>
> Anyways, I think it's nice as a _free software distribution_ to make it
> accessible to the user to build custom modules.

I agree, no argument here.  :-)

Thanks,
Ludo’.